|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] [PATCH] add check for python-devel to tools build (take 2)
Again, this must be given exec permission after applying.
Thanks to Ewan Mellor, Anthony Liguori, and Daniel P. Berrange for
pointing out problems with and solutions for the problems with the
first version.
Signed-off-by: Jan Beulich <jbeulich@xxxxxxxxxx>
Index: 2006-11-17/tools/check/check_python_devel
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-11-17/tools/check/check_python_devel 2006-11-22 10:46:49.000000000
+0100
@@ -0,0 +1,16 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for python development environment FAILED"
+ exit 1
+}
+
+python -c '
+import os.path, sys
+for p in sys.path:
+ if os.path.exists(p + "/config/Makefile"):
+ sys.exit(0)
+sys.exit(1)
+' || error
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [Xen-devel] [PATCH] add check for python-devel to tools build (take 2),
Jan Beulich <=
|
|
|
|
|